<?xml version="1.0" encoding="UTF-8"?>
<drawing version="7">
    <attr value="zynq" name="DeviceFamilyName">
        <trait delete="all:0" />
        <trait editname="all:0" />
        <trait edittrait="all:0" />
    </attr>
    <netlist>
        <signal name="DATA_IN(15:0)" />
        <signal name="DATA_OUT(15:0)" />
        <signal name="ADDR(7:0)" />
        <signal name="XLXN_16" />
        <signal name="sync_rst" />
        <signal name="clk10MHz" />
        <signal name="RAM_WR" />
        <signal name="XLXN_23" />
        <signal name="XLXN_2" />
        <signal name="CLK" />
        <signal name="CLR" />
        <port polarity="Input" name="CLK" />
        <port polarity="Input" name="CLR" />
        <blockdef name="simple_cpu_v1a">
            <timestamp>2019-8-13T12:50:1</timestamp>
            <rect width="428" x="64" y="-320" height="320" />
            <rect width="64" x="0" y="-300" height="24" />
            <line x2="0" y1="-288" y2="-288" x1="64" />
            <rect width="64" x="496" y="-300" height="24" />
            <line x2="560" y1="-288" y2="-288" x1="496" />
            <rect width="64" x="496" y="-236" height="24" />
            <line x2="560" y1="-224" y2="-224" x1="496" />
            <line x2="560" y1="-160" y2="-160" x1="496" />
            <line x2="560" y1="-96" y2="-96" x1="496" />
            <line x2="560" y1="-32" y2="-32" x1="496" />
            <line x2="0" y1="-192" y2="-192" x1="64" />
            <line x2="0" y1="-144" y2="-144" x1="64" />
        </blockdef>
        <blockdef name="ram_256x16_sim">
            <timestamp>2019-8-13T11:58:48</timestamp>
            <rect width="400" x="64" y="-416" height="408" />
            <line x2="0" y1="-240" y2="-240" x1="64" />
            <line x2="0" y1="-176" y2="-176" x1="64" />
            <line x2="0" y1="-112" y2="-112" x1="64" />
            <line x2="0" y1="-48" y2="-48" x1="64" />
            <rect width="64" x="0" y="-396" height="24" />
            <line x2="0" y1="-384" y2="-384" x1="64" />
            <rect width="64" x="464" y="-396" height="24" />
            <line x2="528" y1="-384" y2="-384" x1="464" />
            <rect width="64" x="0" y="-332" height="24" />
            <line x2="0" y1="-320" y2="-320" x1="64" />
        </blockdef>
        <blockdef name="async_reset">
            <timestamp>2019-8-13T11:59:27</timestamp>
            <rect width="304" x="64" y="-192" height="192" />
            <line x2="0" y1="-160" y2="-160" x1="64" />
            <line x2="0" y1="-96" y2="-96" x1="64" />
            <line x2="0" y1="-32" y2="-32" x1="64" />
            <line x2="432" y1="-160" y2="-160" x1="368" />
            <line x2="432" y1="-32" y2="-32" x1="368" />
        </blockdef>
        <blockdef name="clock10MHz">
            <timestamp>2019-8-13T12:5:45</timestamp>
            <rect width="264" x="32" y="36" height="152" />
            <line x2="32" y1="80" y2="80" x1="0" />
            <line x2="296" y1="80" y2="80" x1="336" />
            <line x2="32" y1="144" y2="144" x1="0" />
            <line x2="296" y1="144" y2="144" x1="336" />
        </blockdef>
        <blockdef name="gnd">
            <timestamp>2000-1-1T10:10:10</timestamp>
            <line x2="64" y1="-64" y2="-96" x1="64" />
            <line x2="52" y1="-48" y2="-48" x1="76" />
            <line x2="60" y1="-32" y2="-32" x1="68" />
            <line x2="40" y1="-64" y2="-64" x1="88" />
            <line x2="64" y1="-64" y2="-80" x1="64" />
            <line x2="64" y1="-128" y2="-96" x1="64" />
        </blockdef>
        <blockdef name="vcc">
            <timestamp>2000-1-1T10:10:10</timestamp>
            <line x2="64" y1="-32" y2="-64" x1="64" />
            <line x2="64" y1="0" y2="-32" x1="64" />
            <line x2="32" y1="-64" y2="-64" x1="96" />
        </blockdef>
        <block symbolname="simple_cpu_v1a" name="CPU">
            <blockpin signalname="DATA_IN(15:0)" name="DATA_IN(15:0)" />
            <blockpin signalname="DATA_OUT(15:0)" name="DATA_OUT(15:0)" />
            <blockpin signalname="ADDR(7:0)" name="ADDR(7:0)" />
            <blockpin name="RAM_EN" />
            <blockpin signalname="RAM_WR" name="RAM_WR" />
            <blockpin name="ROM_EN" />
            <blockpin signalname="clk10MHz" name="CLK" />
            <blockpin signalname="sync_rst" name="CLR" />
        </block>
        <block symbolname="ram_256x16_sim" name="MEMORY">
            <blockpin signalname="clk10MHz" name="CLK" />
            <blockpin signalname="XLXN_23" name="EN" />
            <blockpin signalname="RAM_WR" name="WE" />
            <blockpin signalname="XLXN_16" name="DUMP" />
            <blockpin signalname="DATA_OUT(15:0)" name="DATA_IN(15:0)" />
            <blockpin signalname="DATA_IN(15:0)" name="DATA_OUT(15:0)" />
            <blockpin signalname="ADDR(7:0)" name="ADDR_IN(7:0)" />
        </block>
        <block symbolname="gnd" name="XLXI_5">
            <blockpin signalname="XLXN_16" name="G" />
        </block>
        <block symbolname="vcc" name="XLXI_7">
            <blockpin signalname="XLXN_23" name="P" />
        </block>
        <block symbolname="async_reset" name="RESET">
            <blockpin signalname="clk10MHz" name="clk" />
            <blockpin signalname="XLXN_2" name="locked" />
            <blockpin signalname="CLR" name="reset_in" />
            <blockpin signalname="sync_rst" name="reset_out" />
            <blockpin name="reset_out_n" />
        </block>
        <block symbolname="clock10MHz" name="CLOCK">
            <blockpin signalname="CLK" name="clk_in1" />
            <blockpin signalname="clk10MHz" name="clk_out1" />
            <blockpin signalname="CLR" name="reset" />
            <blockpin signalname="XLXN_2" name="locked" />
        </block>
    </netlist>
    <sheet sheetnum="1" width="2720" height="1760">
        <branch name="DATA_IN(15:0)">
            <attrtext style="alignment:SOFT-BCENTER;fontsize:28;fontname:Arial" attrname="Name" x="1472" y="656" type="branch" />
            <wire x2="544" y1="656" y2="864" x1="544" />
            <wire x2="720" y1="864" y2="864" x1="544" />
            <wire x2="1472" y1="656" y2="656" x1="544" />
            <wire x2="2448" y1="656" y2="656" x1="1472" />
            <wire x2="2448" y1="656" y2="864" x1="2448" />
            <wire x2="2448" y1="864" y2="864" x1="2352" />
        </branch>
        <branch name="DATA_OUT(15:0)">
            <attrtext style="alignment:SOFT-BCENTER;fontsize:28;fontname:Arial" attrname="Name" x="1488" y="864" type="branch" />
            <wire x2="1488" y1="864" y2="864" x1="1280" />
            <wire x2="1824" y1="864" y2="864" x1="1488" />
        </branch>
        <branch name="ADDR(7:0)">
            <attrtext style="alignment:SOFT-BCENTER;fontsize:28;fontname:Arial" attrname="Name" x="1488" y="928" type="branch" />
            <wire x2="1488" y1="928" y2="928" x1="1280" />
            <wire x2="1824" y1="928" y2="928" x1="1488" />
        </branch>
        <branch name="sync_rst">
            <attrtext style="alignment:SOFT-BCENTER;fontsize:28;fontname:Arial" attrname="Name" x="944" y="544" type="branch" />
            <wire x2="656" y1="544" y2="1008" x1="656" />
            <wire x2="720" y1="1008" y2="1008" x1="656" />
            <wire x2="944" y1="544" y2="544" x1="656" />
            <wire x2="2048" y1="544" y2="544" x1="944" />
            <wire x2="2048" y1="256" y2="256" x1="1856" />
            <wire x2="2048" y1="256" y2="544" x1="2048" />
        </branch>
        <branch name="clk10MHz">
            <attrtext style="alignment:SOFT-BCENTER;fontsize:28;fontname:Arial" attrname="Name" x="944" y="496" type="branch" />
            <wire x2="608" y1="496" y2="960" x1="608" />
            <wire x2="720" y1="960" y2="960" x1="608" />
            <wire x2="608" y1="960" y2="1232" x1="608" />
            <wire x2="1632" y1="1232" y2="1232" x1="608" />
            <wire x2="944" y1="496" y2="496" x1="608" />
            <wire x2="1344" y1="496" y2="496" x1="944" />
            <wire x2="1344" y1="256" y2="256" x1="1232" />
            <wire x2="1424" y1="256" y2="256" x1="1344" />
            <wire x2="1344" y1="256" y2="496" x1="1344" />
            <wire x2="1824" y1="1008" y2="1008" x1="1632" />
            <wire x2="1632" y1="1008" y2="1232" x1="1632" />
        </branch>
        <instance x="720" y="1152" name="CPU" orien="R0">
        </instance>
        <instance x="1824" y="1248" name="MEMORY" orien="R0">
        </instance>
        <branch name="XLXN_16">
            <wire x2="1824" y1="1200" y2="1200" x1="1696" />
            <wire x2="1696" y1="1200" y2="1392" x1="1696" />
            <wire x2="1696" y1="1392" y2="1408" x1="1696" />
        </branch>
        <branch name="RAM_WR">
            <attrtext style="alignment:SOFT-BCENTER;fontsize:28;fontname:Arial" attrname="Name" x="1488" y="1136" type="branch" />
            <wire x2="1360" y1="1056" y2="1056" x1="1280" />
            <wire x2="1360" y1="1056" y2="1136" x1="1360" />
            <wire x2="1488" y1="1136" y2="1136" x1="1360" />
            <wire x2="1824" y1="1136" y2="1136" x1="1488" />
        </branch>
        <branch name="XLXN_23">
            <wire x2="1696" y1="816" y2="832" x1="1696" />
            <wire x2="1696" y1="832" y2="1072" x1="1696" />
            <wire x2="1824" y1="1072" y2="1072" x1="1696" />
        </branch>
        <instance x="1632" y="1536" name="XLXI_5" orien="R0" />
        <instance x="1632" y="816" name="XLXI_7" orien="R0" />
        <branch name="XLXN_2">
            <wire x2="1424" y1="320" y2="320" x1="1232" />
        </branch>
        <branch name="CLK">
            <wire x2="896" y1="256" y2="256" x1="736" />
        </branch>
        <branch name="CLR">
            <wire x2="864" y1="320" y2="320" x1="736" />
            <wire x2="896" y1="320" y2="320" x1="864" />
            <wire x2="864" y1="320" y2="448" x1="864" />
            <wire x2="1280" y1="448" y2="448" x1="864" />
            <wire x2="1424" y1="384" y2="384" x1="1280" />
            <wire x2="1280" y1="384" y2="448" x1="1280" />
        </branch>
        <instance x="1424" y="416" name="RESET" orien="R0">
        </instance>
        <instance x="896" y="176" name="CLOCK" orien="R0">
        </instance>
        <iomarker fontsize="28" x="736" y="320" name="CLR" orien="R180" />
        <iomarker fontsize="28" x="736" y="256" name="CLK" orien="R180" />
    </sheet>
</drawing>