-- TestBench Template 

  LIBRARY ieee;
  USE ieee.std_logic_1164.ALL;
  USE ieee.numeric_std.ALL;

  ENTITY testbench IS
  END testbench;

  ARCHITECTURE behavior OF testbench IS 

    -- Component Declaration
    COMPONENT computer
    PORT(
      clk : IN std_logic;
      clr : IN std_logic );
    END COMPONENT;

    SIGNAL clk : std_logic;
    SIGNAL clr : std_logic;     

  BEGIN

    -- Component Instantiation
    uut: computer PORT MAP(
      clk => clk,
      clr => clr );

    clock : PROCESS
    BEGIN
	   clk <= '0';
		wait for 10 ns;
	   clk <= '1';
		wait for 10 ns;		
    END PROCESS clock;
	 
    reset : PROCESS
    BEGIN
	   clr <= '1';
		wait for 200 ns;
	   clr <= '0';
		wait;		
    END PROCESS reset;	 

  END;
